/** Data structure representing a single acknowledgement of a steering command.
 *
 * @version 0.2
 * @author Glenn Matthews
 */
public class AcknowledgeNode {

/** The value that was applied for steering. */
public String value;

/** The response of the simulation to the steering (may be null) */
public String response;

/** The simulation time at which steering was applied. */
public double simTime;

/** The identifier of the variable that was steered. */
public String targetVar;

/** The identifier of the steering app that asked for this control. */
public int clientID;

/** Constructor. */
public AcknowledgeNode(String val, double time, String resp, String target, 
		int client)
{
	value = val;
	response = resp;
	simTime = time;
	targetVar = target;
	clientID = client;
} //constructor

/** Converts this data structure to a string of the format "{@link 
 * #targetVar}\r\n{@link #value}\r\n{@link #simTime}\r\n{@link #response}"
 */
public String stringValue()
{
	return targetVar+"\r\n"+value+"\r\n"+simTime+"\r\n"+response;
} //stringValue()

} //AcknowledgeNode
