/**This class represents a flag. It can be used to check whether the simulation
  *program has finished.
  *@author Yin Xiong
  *@version 2.0(10/2006)
  *@since 1.0
  */

public class Flag
{
  /**Shared by two or more threads.*/
   private int buffer; // shared by producer and consumer threads

  /**Constructor with buffer set to 0*/
  public Flag()
  {
     buffer=0;
  }
  
  /**Places value into the buffer.
    *@param value int representing the value to be put into the buffer.
    */
   public void set( int value )
   {
      //System.out.printf( "Producer writes\t%2d", value );
      buffer = value;
   } // end method set

  
   /**Returns the value got from buffer.
     */
   public int get()
   {
      //System.out.printf( "Consumer reads\t%2d", buffer );
      return buffer;
   } // end method get
} // end class UnsynchronizedBuffer

