import java.rmi.*;
import java.rmi.server.*;
import java.util.ArrayList;
import java.lang.*;
import java.util.*;

/**This is the interface for Global Name Server(GNS).
  *@author Yin Xiong
  *@version 2.0 (10/2006)
  *@since 2.0
  */


public interface GNSInterface extends java.rmi.Remote{


/**Registers a new PE and returns the LP configuration information
  *to this new PE.
  *@param pm String the name of the machine where the PE is running on.
  */
  public Vector<LPConfigInfo> registerPE(String pm) throws java.rmi.RemoteException;
  
/**Gets the routing information for a message by the application-specified id.
  *@param aid String the application-specified id of the receiver of the message.
  */
  public RoutingInfo getRoutingInfoByAid(String aid) throws java.rmi.RemoteException;
  
/**Gets the routing information for a message by the system-assigned LP id.
  *@param lid int the LP id of the receiver of this message.
  */
  public RoutingInfo getRoutingInfoByLid(int lid) throws java.rmi.RemoteException;

/**Gets the end of simulation flag.
  */
  public int getEOSflag() throws java.rmi.RemoteException;
  
/**Sets the end of simulation flag.
  *@param f int the value of the flag to be set.
  */
  public void setEOSflag(int f) throws java.rmi.RemoteException;


}


