
import java.io.*;
import java.util.*;
import java.lang.*;

/**This class stores the configuration information for an LP. The information is provided
  *by application programmer in a text file in the following format: <br>
  *index app_name class_name data
  *
  *@version 1.0 (12/2005)
  *@author Yin Xiong
  */
  
public class LPConfigInfo implements Serializable{

/**the id of the PE which the message is routing to*/
int PEid;

/**the id of the LP which the message is routing to*/
int LPid;

/**the application-specified index of the LP*/
String APPid;

/**the application-specified name of the LP*/
String APPname;

/**the class name of the LP*/
String className;

/**the data for this LP*/
String data;

/**constructs a LPInfo object*/
public LPConfigInfo(int lid, String aid, String aname, String cname, String dat)
{
   LPid=lid;
   APPid=aid;
   APPname=aname;
   className=cname;
   data=dat;
}//end constructor

/**Gets index of the LP*/
public String getAPPid()
{
  return APPid;
}

/**Gets the name of the LP*/
public String getAPPname()
{
   return APPname;
}

/**Gets the class name of the LP*/
public String getLPClassName()
{
    return className;
}

/**Gets the data of the LP*/
public String getLPData()
{
    return data;
}

public String toString()
{
   String s=" " +PEid + " " +LPid +" " +APPid + " " + APPname + " " + className + " " + data;
   return s;
}
}//end LPConfigInfo
