/**This class represents a table row in the PE information table maintained
  *by the Global Name Server. 
  *@version 2.0
  *@since 2.0
  *@author Yin Xiong(10/2006)
  */

public class PEInfo {

/**The GNS-assigned integer ID to this PE.*/
int PEid;

/**The ip represented as a String*/
String PEip;

/**The name of the machines on which this PE is running*/

String machineName;

/**The beginning point of the LP configuration information for this PE.*/
int begin;

/**The ending point of the LP configuraion information foe this E.*/
int end;

/**Constructs a new PEInfor object.
  *@param pid int the system-assigned PE id.
  *@param pip a String object representing the IP address  of this PE.
  *@param pm a String object representing the name of the machine where
  *this PE us running.
  *@param b int indicating the beginning of the LP configuration information
  *in the LP configuration information vector.
  *@param e int indicating the ending point of the LP configuration information
  *in the LP configuration information vector.
  */
public PEInfo(int pid, String pip, String pm, int b, int e) {
   PEid=pid;
   PEip=pip;
   machineName=pm;
   begin=b;
   end=e;
}//end constructor

/**Returns a string representation of this object*/
public String toString()
{
   String s=PEid + " " + PEip + " " + machineName + " " + begin + " " + end;
   return s;
}//end toString


/**Sets the beginning point of the LP configuration information vector for this PE.
  *@param b int the beginning point.
  */
void setBegin(int b)
{
   begin=b;
}//end setBegin

/**Sets the ending point of the LP configuration information vector for this 
PE.*/
void setEnd(int e)
{
  end=e;
}//end setEnd
}//end class
