
/**This class provides an interface for the remote method of PEs.
  *
  *@author Yin Xiong
  *@version 2.0 (10.2006)
  */

public interface Peer extends java.rmi.Remote{

  /**Receives a message from a remote PE. This is the most important function
    *of Peer.
    *@param msg a Message object that is to be sent to this PE.
    */
  public int receiveMsg(Message msg) throws java.rmi.RemoteException;
  
  /**Shuts down ththe RMI server running on this PE by invoking its unexportObject
    *method. Note that the invokation of this mehtod must be another thread.
    */
  public void shutDown() throws java.rmi.RemoteException;

  /**Sets the end-of-simulation flag
    *@param f int the value this flag is going to be set to.
    */
  public void setEOSflag(int f) throws java.rmi.RemoteException;
}

