/** Data structure representing a single response to a monitoring command.
 *
 * @version 0.2
 * @author Glenn Matthews
 */
public class ReportNode {

/** The value that was obtained by monitoring. */
public String value;

/** The simulation time at which this information was obtained. */
public double simTime;

/** The identifier of the variable that was monitored. */
public String targetVar;

/** The identifier of the monitoring app that asked for this information. */
public int clientID;

/** Basic constructor. */
public ReportNode(String val, double time, String target, int client)
{
	value = val;
	simTime = time;
	targetVar = target;
	clientID = client;
} //constructor

/** Converts this structure to a String of the format "{@link 
 * #targetVar}\r\n{@link #simTime}\r\n{@link #value}".
 */
public String stringValue() 
{
	return targetVar + "\r\n" + simTime + "\r\n" + value;
} // stringValue()

} //ReportNode
